"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDomainFromUrl = getDomainFromUrl;
const endings = ['/', ':', '?', '#'];
const starters = ['.', '/', '@'];
/**
 * Get domain from url
 * https://github.com/bjarneo/extract-domain/blob/master/index.ts
 */
function getDomainFromUrl(url) {
    let domainInc = 0;
    let offsetDomain = 0;
    let offsetStartSlice = 0;
    let offsetPath = 0;
    let len = url.length;
    let i = 0;
    while (len-- && ++i) {
        if (domainInc && endings.indexOf(url[i]) > -1)
            break;
        if (url[i] !== '.')
            continue;
        ++domainInc;
        offsetDomain = i;
    }
    offsetPath = i;
    i = offsetDomain;
    while (i--) {
        if (starters.indexOf(url[i]) === -1)
            continue;
        offsetStartSlice = i + 1;
        break;
    }
    if (offsetStartSlice === 0 && offsetPath > 3)
        return url;
    if (offsetStartSlice > 0 && offsetStartSlice < 2)
        return '';
    return url.slice(offsetStartSlice, offsetPath);
}
//# sourceMappingURL=domain.js.map